

public class GruppoClienti extends Thread {


  private int ID;
  private int nClienti, destinazione;

  CentroCommerciale cc;


  public GruppoClienti(int ID, CentroCommerciale c, int nClienti, int destinazione){

  	cc=c;
  	this.ID=ID;
  	this.nClienti=nClienti;
  	this.destinazione=destinazione;
  }


  public void run() {

  	System.out.println("Il GruppoClienti "+ID+" chiede un ascensore con "+nClienti+
  	" posti avente destinazione "+destinazione);

  	Ascensore ascensore = cc.chiediAscensore(this);

  	cc.attendiPartenza(ascensore);
  }

  public int getID() {

  	return ID;
  }

  public int getNClienti() {

	return nClienti;
  }

  public int getDestinazione() {

  	return destinazione;
  }

}