

public class Hotel {

  Taxi [] taxi;


  public Hotel (Taxi [] taxi) {

	  this.taxi=taxi;
  }

  public synchronized void attesaClienti(int IdTaxi) {

	  notifyAll();
	  Taxi t=(Taxi)taxi[IdTaxi];
	  while (t.getPostiLiberi()>0){
	  	try {
			wait();
		} catch (InterruptedException ie) {}
  	  }
  }



  public synchronized Taxi chiediTaxi(GruppoClienti g) {

	  boolean trovato=false;
	  Taxi t=null;

	  while(!trovato){

	  	for (int i=0; i<taxi.length && !trovato; i++) {

	  	  t=(Taxi)taxi[i];

	  	  if (t.getStato()==Taxi.RUNNING)
	  	     continue;

	  	  if (t.getDestinazione()==Taxi.NON_FISSATA){
	  	  	 t.setDestinazione(g.getDestinazione());
	  		 t.accettaClienti(g.getNClienti());
	  		 trovato=true;
	  	  }
	  	  else if (t.getDestinazione()==g.getDestinazione() && t.getPostiLiberi()>=g.getNClienti()) {
			 t.accettaClienti(g.getNClienti());
	  		 trovato=true;
		  }
		} // for

		if (!trovato)
		  try {
			 wait();
		  } catch (InterruptedException ie) {}
	  } // while

	  System.out.println("Il GruppoClienti "+g.getID()+" si accomoda nel taxi "+t.getID()+
  	  " e ne attende la partenza");

	  notifyAll();
	  return t;
  }

  public synchronized void attendiPartenza(Taxi t) {

	  while (t.getStato()==Taxi.WAITING)
	    try {
		  wait();
	    } catch (InterruptedException ie) {}

  }


}