
public class Taxi extends Thread {

  private int ID;

  private Hotel hotel;

  private int capienza, posti_liberi, destinazione, stato;

  public static final int NON_FISSATA=-1, PORTO=0, AEROPORTO=1, STAZIONE=2;

  public static final int WAITING=0, RUNNING=1;


  public Taxi (int ID, int capienza, Hotel hotel){

	this.ID=ID;
	this.hotel=hotel;
	this.capienza=capienza;
	posti_liberi=capienza;
	destinazione=NON_FISSATA;
	stato=WAITING;
  }

  public void run(){

	while (true){

		hotel.attesaClienti(ID);
		stato=RUNNING;
		System.out.println("Il taxi "+ID+" inizia la corsa con destinazione "+destinazione);

		int durata_corsa= 3000 + (int)Math.round(Math.random()*(4000));
		try {
			Thread.sleep(durata_corsa);
		} catch (InterruptedException ie) {}

		//il taxi torna all'hotel
		posti_liberi=capienza;
		destinazione=NON_FISSATA;
		stato=WAITING;
		System.out.println("Il taxi "+ID+"  rientrato all'hotel ed  in attesa dei clienti");

	}
  }

  public int getID(){

  	return ID;
  }

  public int getCapienza(){

    return capienza;
  }

  public int getPostiLiberi(){

      return posti_liberi;
  }

  public void accettaClienti(int nClienti){

        posti_liberi -= nClienti;
  }

  public int getDestinazione(){

      return destinazione;
  }

  public void setDestinazione(int dest){

      destinazione=dest;
  }

  public int getStato(){

      return stato;
  }



}