
public class Ascensore extends Thread {

  private int ID;

  private CentroCommerciale cc;

  private int capienza, posti_liberi, destinazione, stato;

  public static final int NON_FISSATA=-1;

  public static final int WAITING=0, RUNNING=1;


  public Ascensore (int ID, int capienza, CentroCommerciale cc){

	this.ID=ID;
	this.cc=cc;
	this.capienza=capienza;
	posti_liberi=capienza;
	destinazione=NON_FISSATA;
	stato=WAITING;
  }

  public void run(){

	while (true){

		cc.attesaClienti(ID);
		stato=RUNNING;
		System.out.println("L'ascensore "+ID+" inizia la salita con "+(capienza-posti_liberi)+" persone e destinazione "+
		destinazione);

		int durata_corsa= 2*4000*destinazione;
		try {
			Thread.sleep(durata_corsa);
		} catch (InterruptedException ie) {}

		//l'ascensore  tornato a piano terra
		posti_liberi=capienza;
		destinazione=NON_FISSATA;
		stato=WAITING;
		System.out.println("L'ascensore "+ID+"  tornato al piano terra ed  in attesa dei clienti");

	}
  }

  public int getID(){

  	return ID;
  }

  public int getCapienza(){

    return capienza;
  }

  public int getPostiLiberi(){

      return posti_liberi;
  }

  public void accettaClienti(int nClienti){

        posti_liberi -= nClienti;
  }

  public int getDestinazione(){

      return destinazione;
  }

  public void setDestinazione(int dest){

      destinazione=dest;
  }

  public int getStato(){

      return stato;
  }



}