

public class CentroCommerciale {

  Ascensore [] ascensori;


  public CentroCommerciale (Ascensore [] ascensori) {

	  this.ascensori=ascensori;
  }

  public synchronized void attesaClienti(int IdAscensore) {

	  notifyAll();
	  Ascensore a=ascensori[IdAscensore];
	  while (a.getPostiLiberi()>3){
	  	try {
			wait();
		} catch (InterruptedException ie) {}
  	  }
  }



  public synchronized Ascensore chiediAscensore(GruppoClienti g) {

	  boolean trovato=false;
	  Ascensore a=null;

	  while(!trovato){

	  	for (int i=0; i<ascensori.length && !trovato; i++) {

	  	  a=ascensori[i];

	  	  if (a.getStato()==Ascensore.RUNNING)
	  	     continue;

	  	  if (a.getDestinazione()==Ascensore.NON_FISSATA){
	  	  	 a.setDestinazione(g.getDestinazione());
	  		 a.accettaClienti(g.getNClienti());
	  		 trovato=true;
	  	  }
	  	  else if (a.getDestinazione()==g.getDestinazione() && a.getPostiLiberi()>=g.getNClienti()) {
			 a.accettaClienti(g.getNClienti());
	  		 trovato=true;
		  }
		} // for

		if (!trovato)
		  try {
			 wait();
		  } catch (InterruptedException ie) {}
	  } // while

	  System.out.println("Il GruppoClienti "+g.getID()+" entra nell'ascensore "+a.getID()+
  	  " e ne attende la partenza");

	  notifyAll();
	  return a;
  }

  public synchronized void attendiPartenza(Ascensore a) {

	  while (a.getStato()==Ascensore.WAITING)
	    try {
		  wait();
	    } catch (InterruptedException ie) {}

  }


}